### Method

# Meta Shadow get_bounds

#### Declaration [src]

    void
    meta_shadow_get_bounds (
      MetaShadow* shadow,
      int window_x,
      int window_y,
      int window_width,
      int window_height,
      MtkRectangle* bounds
    )

#### Description [src]

Computes the bounds of the pixels that will be affected by meta_shadow_paint().

#### Parameters

`window_x`

  Type: `int`

  X position of the region to paint a shadow for.

`window_y`

  Type: `int`

  Y position of the region to paint a shadow for.

`window_width`

  Type: `int`

  Actual width of the region to paint a shadow for.

`window_height`

  Type: `int`

  Actual height of the region to paint a shadow for.

`bounds`

  Type: `MtkRectangle`

  No description available.

  The data is owned by the caller of the method.